<template>
<view class="section">
  <u-row>
    <u-col span="6">
      <view class="row">
        <u-icon v-if="iconName" :name="iconName" :size="iconSize" :color="iconColor" />
        <text class="theme-text left-text">{{ title }}</text>
      </view>
    </u-col>
    <u-col span="3"></u-col>
    <u-col span="3">
      <view class="row-right" @click="go(goUrl)">
        <text class="theme-text right-text ">{{ optitle }} </text>
        <u-icon name="arrow-rightward" size="25" :color="'var(--icon-color)'" />
      </view>
    </u-col>
  </u-row>
</view>
</template>

<script>
export default {
  name: 'SectionTitle',
  props: {
    iconName: {
      type: String,
      default: ''
    },
    iconSize: {
      type: [String, Number],
      default: 40
    },
    iconColor: {
      type: String,
      default: 'yellow'
    },
    title: {
      type: String,
      default: ''
    },
    optitle: {
      type: String,
      default: ''
    },
    opIconColor: {
      type: String,
      default: 'white'
    },
    goUrl: {
      type: String,
      default: ''
    }
  },


  methods: {
    go(url) {
      if (url) {
        uni.navigateTo({
          url
        });
      }
    }
  }
}
</script>

<style scoped>

.section{
  margin-top: 30rpx;
}

.space-between {
  justify-content: space-between;
}

.row {
  display: flex;
  align-items: center;
  padding: 20rpx 0;
}
.row-right{
  display: flex;
  align-items: center;
  padding: 20rpx 0;
  justify-content: end;
}

.left-text{
  font-size: 40rpx;
  font-weight: bold;
  color: var(--icon-color);
  letter-spacing: 5rpx;
}

.right-text{
  font-size: 25rpx;
  margin-right: 10rpx;
}

.theme-text {
  margin-left: 10rpx;
}
</style>